### Hierarchy

- PropertyFormatter

## Index

### Constructors

- constructor

### Properties

- _catavoltApi
- decimalFormat
- decimalFormatGeneric
- moneyFormat
- moneyFormatGeneric
- percentFormat
- percentFormatGeneric
- wholeFormat
- _singleton

### Methods

- formatForRead
- formatForWrite
- formatValueForRead
- getSupportedLocale
- parse
- resetFormats
- toString
- toStringRead
- toStringWrite
- singleton

## Constructors

### Private constructor

- new PropertyFormatter(_catavoltApi: CatavoltApi): PropertyFormatter

- - Defined in models/PropertyFormatter.ts:101

  #### Parameters

  - ##### _catavoltApi: CatavoltApi

  #### Returns PropertyFormatter

## Properties

### Private _catavoltApi

_catavoltApi: CatavoltApi

- Defined in models/PropertyFormatter.ts:103

### decimalFormat

decimalFormat: string[]

- Defined in models/PropertyFormatter.ts:88

### decimalFormatGeneric

decimalFormatGeneric: string

- Defined in models/PropertyFormatter.ts:89

### moneyFormat

moneyFormat: string[]

- Defined in models/PropertyFormatter.ts:90

### moneyFormatGeneric

moneyFormatGeneric: string

- Defined in models/PropertyFormatter.ts:91

### percentFormat

percentFormat: string[]

- Defined in models/PropertyFormatter.ts:92

### percentFormatGeneric

percentFormatGeneric: string

- Defined in models/PropertyFormatter.ts:93

### wholeFormat

wholeFormat: string

- Defined in models/PropertyFormatter.ts:94

### Static Private _singleton

_singleton: PropertyFormatter

- Defined in models/PropertyFormatter.ts:85

## Methods

### formatForRead

- formatForRead(prop: Property, propDef: PropertyDef): string

- - Defined in models/PropertyFormatter.ts:116

  Get a string representation of this property suitable for 'reading'

  #### Parameters

  - ##### prop: Property

  - ##### propDef: PropertyDef

  #### Returns string

### formatForWrite

- formatForWrite(prop: Property, propDef: PropertyDef): string

- - Defined in models/PropertyFormatter.ts:166

  Get a string representation of this property suitable for 'writing'

  #### Parameters

  - ##### prop: Property

  - ##### propDef: PropertyDef

  #### Returns string

### formatValueForRead

- formatValueForRead(value: any, propDef: PropertyDef): any

- - Defined in models/PropertyFormatter.ts:124

  #### Parameters

  - ##### value: any

  - ##### propDef: PropertyDef

  #### Returns any

### Private getSupportedLocale

- getSupportedLocale(locale: any): string

- - Defined in models/PropertyFormatter.ts:343

  #### Parameters

  - ##### locale: any

  #### Returns string

### parse

- parse(value: any, propDef: PropertyDef): any

- - Defined in models/PropertyFormatter.ts:185

  Attempt to construct (or preserve) the appropriate data type given primitive (or already constructed) value. Note this must be done here and not at 'write' time because it requires the knowledge of the PropDef

  #### Parameters

  - ##### value: any

  - ##### propDef: PropertyDef

  #### Returns any

### resetFormats

- resetFormats(): void

- - Defined in models/PropertyFormatter.ts:239

  #### Returns void

### toString

- toString(o: any, propDef: PropertyDef): string

- - Defined in models/PropertyFormatter.ts:249

  #### Parameters

  - ##### o: any

  - ##### propDef: PropertyDef

  #### Returns string

### toStringRead

- toStringRead(o: any, propDef: PropertyDef): string

- - Defined in models/PropertyFormatter.ts:260

  Render this value as a string

  #### Parameters

  - ##### o: any

  - ##### propDef: PropertyDef

  #### Returns string

### toStringWrite

- toStringWrite(o: any, propDef: PropertyDef): string

- - Defined in models/PropertyFormatter.ts:329

  #### Parameters

  - ##### o: any

  - ##### propDef: PropertyDef

  #### Returns string

### Static singleton

- singleton(catavoltApi: CatavoltApi): PropertyFormatter

- - Defined in models/PropertyFormatter.ts:96

  #### Parameters

  - ##### catavoltApi: CatavoltApi

  #### Returns PropertyFormatter

Generated using TypeDoc